Bug 283474 - Does not pass clicks to windows that do not accept focus
Summary: Does not pass clicks to windows that do not accept focus
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: core (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-06 14:51 UTC by Christoph Feck
Modified: 2011-10-10 18:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2011-10-06 14:51:52 UTC
"xvkbd" is a virtual keyboard application for X11. Clicking into it does not activate the window, because the clicked characters should be typed into the currently active window. KWin seems to get informed of this, because it does never draw the decorations for this window active.

When the Left click policy is set to "Activate & Raise", windows only get passed the click when they are active. Some

This feature, however, should be automatically deactivated for windows that do never go active, such as the "xvkbd" window mentioned above. Clicks into this window never get passed to the application. At least the second click should be passed (i.e. after the window got raised), otherwise "xvkbd" is unusable with that click policy.
Comment 1 Thomas Lübking 2011-10-10 18:50:01 UTC
Git commit 49211d657d40166855d4392c22fb17e140f13d70 by Thomas Lübking.
Committed on 10/10/2011 at 20:45.
Pushed by luebking into branch 'master'.

Force input replay for non activatable windows

BUG: 283474
REVIEW: 102795
FIXED-IN: 4.8

M  +15   -1    kwin/useractions.cpp

http://commits.kde.org/kde-workspace/49211d657d40166855d4392c22fb17e140f13d70